ruby-solv-0.6.30-1.mga6.x86_64.rpm


Advertisement

Description

ruby-solv - Ruby bindings for the libsolv library

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates x86_64
Package name ruby-solv
Package version 0.6.30
Package release 1.mga6
Package architecture x86_64
Package type rpm
Installed size 291.73 KB
Download size 88.68 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Ruby bindings for libsolv.

Alternatives

Package Version Architecture Repository
ruby-solv-0.6.30-1.mga6.i586.rpm 0.6.30 i586 Mageia Core Updates
ruby-solv-0.6.28-1.1.mga6.x86_64.rpm 0.6.28 x86_64 Mageia Core Updates
ruby-solv-0.6.28-1.1.mga6.i586.rpm 0.6.28 i586 Mageia Core Updates
ruby-solv-0.6.28-1.mga6.x86_64.rpm 0.6.28 x86_64 Mageia Core
ruby-solv-0.6.28-1.mga6.i586.rpm 0.6.28 i586 Mageia Core
ruby-solv - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libsolv.so.0()(64bit) -
libsolv.so.0(SOLV_1.0)(64bit) -
libsolvext.so.0()(64bit) -
libsolvext.so.0(SOLV_1.0)(64bit) -

Provides

Name Value
ruby-solv == 0.6.30-1.mga6
ruby-solv(x86-64) == 0.6.30-1.mga6

Download

Type URL
Binary Package ruby-solv-0.6.30-1.mga6.x86_64.rpm
Source Package libsolv-0.6.30-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install ruby-solv rpm package:
    # urpmi ruby-solv

Files

Path
/usr/lib64/ruby/vendor_ruby/solv.so
/usr/share/doc/ruby-solv/rbsolv

Changelog

2017-10-26 - ngompa <ngompa> 0.6.30-1.mga6
+ Revision: 1173804
- Upgrade to 0.6.30
- Backport patch from upstream to have obsoletes account for arch colors (mga#21827)
- Backport patches for adding stats to obsoletes logic and fixing droporphaned logic
- Backport fix from upstream to properly process multiple Obsoletes in a single transaction (rhbz#1470922)
2017-07-02 - ngompa <ngompa> 0.6.28-1.mga6
+ Revision: 1108981
- Upgrade to 0.6.28
2017-05-14 - ngompa <ngompa> 0.6.27-2.mga6
+ Revision: 1101053
- Backport patch to fix installed size readings (rhbz#1300801)
2017-05-06 - ngompa <ngompa> 0.6.27-1.mga6
+ Revision: 1099280
- Upgrade to 0.6.27
- Switch to libxml2 for xml parsing
- Add patch to add armv5tl to armsfp arch list
2017-04-02 - ngompa <ngompa> 0.6.26-1.mga6
+ Revision: 1095672
- Backport patches to properly replace multiarch packages (rhbz#1436110)
- Stop deleting testsolv from libsolv-tools and add libsolv-demo subpackage
- Upgrade to 0.6.26
2016-11-11 - ngompa <ngompa> 0.6.24-1.mga6
+ Revision: 1066321
- Update to 0.6.24
2016-09-03 - ngompa <ngompa> 0.6.23-3.mga6
+ Revision: 1049958
- Add patch to enable deep searching for packages for testcases (rhbz#1263888)
- Add patch to fix gcc6 warnings
- Add patch to guard better against corrupt RPMs
2016-08-20 - ngompa <ngompa> 0.6.23-2.mga6
+ Revision: 1047201
- Backport patch to fix dnf --debugsolver crash (rhbz#1361831)
- Drop redundant CMake parameters
2016-07-22 - ngompa <ngompa> 0.6.23-1.mga6
+ Revision: 1043139
- Update to 0.6.23, drop unnecessary obsoletes
2016-06-15 - ngompa <ngompa> 0.6.22-3.mga6
+ Revision: 1021498
- More improvements to cleandeps logic

See Also

Package Description
ruby-svn-1.9.6-1.mga6.x86_64.rpm Ruby bindings for Subversion
ruby-svn-1.9.7-1.mga6.x86_64.rpm Ruby bindings for Subversion
ruby-svn-devel-1.9.6-1.mga6.x86_64.rpm Subversion headers/libraries for development
ruby-svn-devel-1.9.7-1.mga6.x86_64.rpm Subversion headers/libraries for development
ruby-test-unit-3.0.8-1.1.mga6.noarch.rpm test/unit compatible API testing framework
ruby-test-unit-3.0.8-1.mga6.noarch.rpm test/unit compatible API testing framework
ruby-test-unit-3.0.8-16.1.mga6.noarch.rpm test/unit compatible API testing framework
ruby-tk-2.2.10-16.1.mga6.x86_64.rpm Tk extension for the powerful language Ruby
ruby-tk-2.2.7-1.mga6.x86_64.rpm Tk extension for the powerful language Ruby
ruby-tk-2.2.8-1.1.mga6.x86_64.rpm Tk extension for the powerful language Ruby
ruby-tk-2.2.8-1.mga6.x86_64.rpm Tk extension for the powerful language Ruby
rust-1.19.0-1.mga6.x86_64.rpm The Rust Programming Language
rust-1.21.0-1.mga6.x86_64.rpm The Rust Programming Language
rust-1.23.0-1.mga6.x86_64.rpm The Rust Programming Language
rust-1.25.0-1.mga6.x86_64.rpm The Rust Programming Language
Advertisement
Advertisement